Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.jmx.standard
Interface IEPLProcessor

All Known Subinterfaces:
  EPLProcessorMBean

public interface IEPLProcessor

Method Summary
`String` | `addRule(String query)` This method will add an EPL rule to the designated EPL Processor.
`void` | `addRule(String id, String query)` This method will add an EPL rule with a name to the designated EPL Processor.
`Map` | `addRules(Map rules)` This method adds a bunch of EPL queries to the designated EPL Processor.
`void` | `deleteAllRules()` This methods deletes all rules that has been configured in the EPL Processor.
`void` | `deleteRule(String id)` This method deletes a rule from the EPL Processor with the given rule id.
`void` | `deleteRules(String[] ids)` This method deletes all rules with the given ids.
`void` | `disableMonitoring()` This method disables monitoring of the EPL Processor.
`void` | `enableMonitoring()` This method enabled monitoring of the EPL Processor.
`Map` | `getAllRules()` This method fetches all the rules that has been configured in the designated EPL Proessor.
`String` | `getRule(String id)` This method fetches a rule with the given id.
`Map` | `getRules(String[] ids)` This method fetches the rules for ids that are in the array.
`boolean` | `isMonitoringEnabled()` This method checks if monitoring has been enabled for the EPL Processor.
`Map` | `uploadRules(Map rules)` This method uploads a collection of EPL queries to the designated EPL processor.

Method Detail

### addRule

    public String addRule(String query)
                   throws InstanceNotFoundException,
                          JMException

  This method will add an EPL rule to the designated EPL Processor.

  Parameters:
    `query` - - An epl rule
  Returns:
    - rule name - The name of the rule will be generated and returned
  Throws:
    InstanceNotFoundException -
    JMException -

### addRule

    public void addRule(String id,
                        String query)
                 throws InstanceNotFoundException,
                        JMException

  This method will add an EPL rule with a name to the designated EPL Processor.

  Parameters:
    `id-` - A String which has the name of the query
    `query-` - A String representing a query in EPL Syntax
  Throws:
    InstanceNotFoundException -
    JMException -

### addRules

    public Map addRules(Map rules)
                 throws InstanceNotFoundException,
                        JMException

  This method adds a bunch of EPL queries to the designated EPL Processor.

  Parameters:
    `rules` - - A Map containg the queries with their names.
  Returns:
    - A Map of queries that was added successfully. If the name of the query was not provided the return Map will have the auto-generated name of the query.
  Throws:
    InstanceNotFoundException -
    JMException -

### uploadRules

    public Map uploadRules(Map rules)
                    throws InstanceNotFoundException,
                           JMException

  This method uploads a collection of EPL queries to the designated EPL processor. All the queries uploaded will override existing rules.

  Parameters:
    `rules` - - A Map containing queries with their names
  Returns:
    - A Map of queries that was uploaded successfully. If the name of the query was not provided the returned Map will have auto-generated names of the queries.
  Throws:
    InstanceNotFoundException -
    JMException -

### getRule

    public String getRule(String id)
                   throws InstanceNotFoundException,
                          JMException

  This method fetches a rule with the given id.

  Parameters:
    `id` - - A string which represents the id of the rule
  Returns:
  Throws:
    InstanceNotFoundException -
    JMException -

### getRules

    public Map getRules(String[] ids)
                 throws InstanceNotFoundException,
                        JMException

  This method fetches the rules for ids that are in the array.

  Parameters:
    `ids` - - An array of rule ids.
  Returns:
    - A Map containing the ruleids and rules.
  Throws:
    InstanceNotFoundException -
    JMException -

### getAllRules

    public Map getAllRules()
                    throws InstanceNotFoundException,
                           JMException

  This method fetches all the rules that has been configured in the designated EPL Proessor.

  Returns:
    - A Map consisting of rules names and rules
  Throws:
    InstanceNotFoundException -
    JMException -

### deleteRule

    public void deleteRule(String id)
                    throws InstanceNotFoundException,
                           JMException

  This method deletes a rule from the EPL Processor with the given rule id.

  Parameters:
    `id-` - A String which represents the rule-id
  Throws:
    InstanceNotFoundException -
    JMException -

### deleteRules

    public void deleteRules(String[] ids)
                     throws InstanceNotFoundException,
                            JMException

  This method deletes all rules with the given ids.

  Parameters:
    `ids-` - A String array of ids to be deleted from the EPL Processor
  Throws:
    InstanceNotFoundException -
    JMException -

### deleteAllRules

    public void deleteAllRules()
                        throws InstanceNotFoundException,
                               JMException

  This methods deletes all rules that has been configured in the EPL Processor.

  Throws:
    InstanceNotFoundException -
    JMException -

### enableMonitoring

    public void enableMonitoring()
                          throws InstanceNotFoundException,
                                 JMException

  This method enabled monitoring of the EPL Processor.

  Throws:
    InstanceNotFoundException -
    JMException -

### disableMonitoring

    public void disableMonitoring()
                           throws InstanceNotFoundException,
                                  JMException

  This method disables monitoring of the EPL Processor.

  Throws:
    InstanceNotFoundException -
    JMException -

### isMonitoringEnabled

    public boolean isMonitoringEnabled()
                                throws InstanceNotFoundException,
                                       JMException

  This method checks if monitoring has been enabled for the EPL Processor.

  Returns:
    - A boolean value which represents whether monitoring has been enabled for the EPL Processor.
  Throws:
    InstanceNotFoundException -
    JMException -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD